MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024867Open CASCADE[OCCT] OCCT:Visualizationpublic2014-04-23 16:582019-05-17 12:43
Reportersan 
Assigned Tobugmaster 
PriorityurgentSeveritymajor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024867: [Regression] Visualization - polygon offsets look broken
DescriptionWith the current OCCT Git master, I can see that polygon offsets has got broken somehow that results in many depth fighting artifacts when highlighted or selected wireframe representation of a shape is displayed together with the shaded one (see attached snapshots).

With the version of 4 April 2014, everything works fine.
TagsNo tags attached.
Test case numberbugs vis(004) bug24867
Attached Filespng file icon highlighting_20140422.png (143,005 bytes) 2014-04-23 16:58
png file icon selection_20140422.png (143,641 bytes) 2014-04-23 16:58
png file icon highlighting_20140404.png (124,108 bytes) 2014-04-23 16:59
png file icon selection_20140404.png (125,187 bytes) 2014-04-23 17:00

- Relationships
related to 0024785closedapn Open CASCADE Visualization - Modifying z-layers concept to gain more control over OpenGl depth buffer. 
related to 0030716closedbugmaster Open CASCADE Visualization - change default polygon offset units property from 0.0 to 1.0 

-  Notes
(0029047)
abv (manager)
2014-04-24 09:27

Sergey, thanks a lot for detecting a regression which would harm 6.7.1!

Danila, please fix ASAP -- we planned to release 6.7.1 tomorrow, now waiting for your fix.
(0029048)
duv (developer)
2014-04-24 10:21

Dear kgv,

Please review patch in CR24867.
(0029051)
kgv (developer)
2014-04-24 11:02

Dear Danila,

+  glGetFloatv (GL_POLYGON_OFFSET_FACTOR, &aDefaultSettings.OffsetFactor);
+  glGetFloatv (GL_POLYGON_OFFSET_UNITS,  &aDefaultSettings.OffsetUnits);

the state should be controlled by TKOpenGl (OpenGl_Context/OpenGl_Workspace), not should not be retrieved from OpenGL.
(0029060)
kgv (developer)
2014-04-24 15:58

Please test the patch.
(0029068)
mkv (tester)
2014-04-25 10:52
edited on: 2014-04-25 10:58

Dear BugMaster,

Branch CR24867 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms.
SHA-1: 778ebf380c405059c113b595d0f0bceca760e4e3

There are compilation errors on Linux platform:
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24867/job/mnt-CR24867-master_build_occt_linux/1/parsed_console/? [^]
In file included from ../../../../inc/OpenGl_Group.hxx:25,
from ../../../../inc/OpenGl_CappingAlgo.hxx:20,
from ../../../../src/OpenGl/OpenGl_CappingAlgo.cxx:16:
../../../../inc/OpenGl_AspectFace.hxx:39: error: ‘Aspect_POM_Fill’ was not declared in this scope

In file included from ../../../../inc/OpenGl_CappingPlaneResource.hxx:20,
from ../../../../src/OpenGl/OpenGl_CappingPlaneResource.cxx:16:
../../../../inc/OpenGl_AspectFace.hxx:39: error: ‘Aspect_POM_Fill’ was not declared in this scope

There are compilation errors on Windows platform:
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24867/job/mnt-CR24867-master_build_occt_windows/1/parsed_console/? [^]
42>..\..\..\inc\OpenGl_AspectFace.hxx(39) : error C2065: 'Aspect_POM_Fill' : undeclared identifier

There are compilation errors on MacOS platform:
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24867/job/mnt-CR24867-master_prepare_build_occt_MacOS/1/parsed_console/? [^]
In file included from /Users/mnt/tools/WOK670/wok_entities/LOC/dev/CR24867-master-occt/src/OpenGl/OpenGl_CappingAlgo.cxx:16:
In file included from /Users/mnt/tools/WOK670/wok_entities/LOC/dev/CR24867-master-occt/adm/cmake/TKOpenGl/../../../inc/OpenGl_CappingAlgo.hxx:20:
In file included from /Users/mnt/tools/WOK670/wok_entities/LOC/dev/CR24867-master-occt/adm/cmake/TKOpenGl/../../../inc/OpenGl_Group.hxx:25:
/Users/mnt/tools/WOK670/wok_entities/LOC/dev/CR24867-master-occt/adm/cmake/TKOpenGl/../../../inc/OpenGl_AspectFace.hxx:39:56: error: use of undeclared identifier 'Aspect_POM_Fill'

(0029069)
Pawel (updater)
2014-04-25 11:22
edited on: 2014-04-25 16:33

Just an observation/request,

please check if selection/highlighting is possible for curves with this fix. I just tried V6_7_1_beta branch (without 24785 integrated) and hovering over a curve has no effect. Neither the selection.

The problem does also exist for vertices.

[Update]
This problem occurs only under some circumstances (e.g. displaying curves only) which are not clear to me at the moment. I wasn't able to reproduce it in DRAW. I hope to be able to report more on the problem soon.

(0029074)
duv (developer)
2014-04-25 14:33

Dear bugmaster,

Please test the patch.
(0029129)
mkv (tester)
2014-04-29 13:13
edited on: 2014-04-29 13:14

Dear BugMaster,

Branch CR24867 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 1c55db171547ca6bc37a546f361c3cb43740d3c8

Number of compiler warnings:

occt component :
Linux: 21 (18 on master)
Windows: 0 (0 on master)
MacOS: 352 (351 on master)


There are new additional compilation warnings on Linux platform:
OpenGl_Workspace.cxx:140, GNU C Compiler 4 (gcc), Priority: Normal
when initialized here

OpenGl_Workspace.hxx:593, GNU C Compiler 4 (gcc), Priority: Normal
‘OpenGl_Matrix OpenGl_Workspace::myModelViewMatrix’

OpenGl_Workspace.hxx:595, GNU C Compiler 4 (gcc), Priority: Normal
‘OpenGl_Workspace::PolygonOffset_applied’ will be initialized after

There are new additional compilation warnings on MacOS platform:
OpenGl_Workspace.cxx:176, GNU C Compiler 4 (gcc), Priority: Normal
field 'PolygonOffset_applied' will be initialized after field 'myModelViewMatrix' [-Wreorder]

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR24867-master-occt/Debian60-64/bugs/vis/bug24867.html [^]
http://occt-tests/CR24867-master-occt/Windows-32-VC9/bugs/vis/bug24867.html [^]
bugs vis(004) bug24867: OK

Testing on Linux:
Total MEMORY difference: 355011720 / 355757444
Total CPU difference: 53065.800000000134 / 55245.669999999736

Testing on Windows:
Total MEMORY difference: 378936796 / 381791492
Total CPU difference: 37900.421875 / 43080.4375

There are no differences in images found by testdiff.

(0029138)
duv (developer)
2014-04-29 15:10

Dear bugmaster,

Please test the patch.
(0029207)
mkv (tester)
2014-05-06 10:24

Dear BugMaster,

Branch CR24867 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 939eff7d563066233cc0fb6ebb354ddb4ea58db0

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR24867-master-occt/Debian60-64/bugs/vis/bug24867.html [^]
http://occt-tests/CR24867-master-occt/Windows-32-VC9/bugs/vis/bug24867.html [^]
bugs vis(004) bug24867: OK

Testing on Linux:
Total MEMORY difference: 355875084 / 355561056
Total CPU difference: 52957.54999999998 / 53337.799999999814

Testing on Windows:
Total MEMORY difference: 379899384 / 379843896
Total CPU difference: 37197.953125 / 36615.28125

There are no differences in images found by testdiff.
(0047125)
git (administrator)
2015-10-16 17:16

Branch CR24867_671 has been deleted by kgv.

SHA-1: ddcfb0913a61875ec6720715ca94bf6182addba2

- Related Changesets
occt: master 550f3b8b
Timestamp: 2014-05-08 07:39:02
Author: duv
Committer: bugmaster
Details ] Diff ]
0024867: Visualization - polygon offsets look broken

If specific layer setting is not enabled, default value extracted from current OpenGl state will be used.
Default value fix.
Updated test case bugs/vis/bug24867
Linux warning fixed.
mod - src/OpenGl/OpenGl_AspectFace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectFace.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Layer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Layer.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_LayerList.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_5.cxx Diff ] File ]
add - tests/bugs/vis/bug24867 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-23 16:58 san New Issue
2014-04-23 16:58 san Assigned To => san
2014-04-23 16:58 san File Added: highlighting_20140422.png
2014-04-23 16:58 san File Added: selection_20140422.png
2014-04-23 16:59 san File Added: highlighting_20140404.png
2014-04-23 17:00 san File Added: selection_20140404.png
2014-04-23 17:01 san Priority normal => high
2014-04-23 17:01 san Relationship added related to 0024785
2014-04-23 17:02 san Assigned To san => duv
2014-04-23 17:03 san Status new => assigned
2014-04-24 09:27 abv Note Added: 0029047
2014-04-24 09:27 abv Priority high => urgent
2014-04-24 09:27 abv Product Version => 6.7.1
2014-04-24 09:27 abv Target Version 6.8.0 => 6.7.1
2014-04-24 09:27 abv Summary Visualization - polygon offsets look broken => [Regression] Visualization - polygon offsets look broken
2014-04-24 10:21 duv Note Added: 0029048
2014-04-24 10:21 duv Assigned To duv => kgv
2014-04-24 10:21 duv Status assigned => resolved
2014-04-24 11:02 kgv Note Added: 0029051
2014-04-24 11:02 kgv Assigned To kgv => duv
2014-04-24 11:02 kgv Status resolved => assigned
2014-04-24 14:10 duv Assigned To duv => kgv
2014-04-24 14:10 duv Status assigned => resolved
2014-04-24 15:58 kgv Note Added: 0029060
2014-04-24 15:58 kgv Assigned To kgv => bugmaster
2014-04-24 15:58 kgv Status resolved => reviewed
2014-04-24 16:21 apl Relationship added has duplicate 0024871
2014-04-24 18:39 mkv Assigned To bugmaster => mkv
2014-04-25 10:52 mkv Note Added: 0029068
2014-04-25 10:58 mkv Note Edited: 0029068 View Revisions
2014-04-25 10:59 mkv Assigned To mkv => duv
2014-04-25 10:59 mkv Status reviewed => assigned
2014-04-25 11:22 Pawel Note Added: 0029069
2014-04-25 11:22 Pawel Note Edited: 0029069 View Revisions
2014-04-25 14:30 duv Status assigned => resolved
2014-04-25 14:33 duv Note Added: 0029074
2014-04-25 14:33 duv Assigned To duv => bugmaster
2014-04-25 14:33 duv Status resolved => reviewed
2014-04-25 16:33 Pawel Note Edited: 0029069 View Revisions
2014-04-25 17:55 mkv Assigned To bugmaster => mkv
2014-04-29 12:18 apn Test case number => bugs vis bug24867
2014-04-29 13:13 mkv Note Added: 0029129
2014-04-29 13:14 mkv Note Edited: 0029129 View Revisions
2014-04-29 13:15 mkv Test case number bugs vis bug24867 => bugs vis(004) bug24867
2014-04-29 13:15 mkv Assigned To mkv => duv
2014-04-29 13:15 mkv Status reviewed => assigned
2014-04-29 15:09 duv Status assigned => resolved
2014-04-29 15:10 duv Note Added: 0029138
2014-04-29 15:10 duv Assigned To duv => bugmaster
2014-04-29 15:10 duv Status resolved => reviewed
2014-04-29 15:57 mkv Assigned To bugmaster => mkv
2014-05-06 10:24 mkv Note Added: 0029207
2014-05-07 11:03 mkv Status reviewed => tested
2014-05-07 15:26 mkv Assigned To mkv => bugmaster
2014-05-12 16:20 bugmaster Changeset attached => occt master 550f3b8b
2014-05-12 16:20 bugmaster Status tested => verified
2014-05-12 16:20 bugmaster Resolution open => fixed
2014-09-11 11:03 bugmaster Target Version 6.7.1 => 6.8.0
2014-09-11 11:04 bugmaster Status verified => closed
2014-09-11 11:04 bugmaster Fixed in Version => 6.7.1
2014-09-11 11:59 bugmaster Target Version 6.8.0 => 6.7.1
2015-10-16 17:16 git Note Added: 0047125
2019-05-17 12:43 kgv Relationship added related to 0030716


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker